Update Quote

Updates an existing quote based on the details provided in the request body. Before using this endpoint to update a quote, review the following considerations: * None of the fields in the body are required for a successful response. This means that you can use this endpoint to update a single field or a subset of fields. * When adding or updating line items, you must include all existing line items that you want to keep in the quote. Omitting existing line items from a quote will remove them from the quote when you send the request. * If you add products or change discounts, you must also update the `grandTotal` and `subtotal` fields to reflect the new totals. * You cannot use this endpoint to change the sales rep or Company account assigned to an existing quote. * To update a quote’s shipping rate, use the [Select a Shipping Rate for a Quote](#select-a-shipping-rate-for-quote) endpoint. See [Create a Quote](#create-a-quote) for experience- and setting-specific requirements related to adding custom shipping or non-purchasable products to a quote.

Authentication

X-Auth-Tokenstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Path parameters

quote_idstringRequired

Request

This endpoint expects an object.
allowCheckoutbooleanOptional
Determines whether or not the buyer can take the quote to the checkout page. If left blank, the quote uses the checkout selection in your Quote settings.
channelIdintegerOptionalDefaults to 1

The storefront channel ID associated with the quote. This is required if your store has multiple storefront channels. Use 1 for your store’s default storefront channel.

contactInfoobjectOptional
This object contains the contact information for the buyer in the quote.
currencyobjectOptional
discountdoubleOptional
The total value of discounts applied to the quote.
displayDiscountbooleanOptional
Determines if buyers can see quoted discount values in the Buyer Portal, or if they only see the quoted prices. If left blank, the quote uses the discount display selection in your Quote settings.
expiredAtstringOptional

The date when the buyer can no longer purchase the quote. Use ‘%m/%d/%Y’ format when entering the expiration date.

extraFieldslist of objectsOptional
Adds extra field information to the quote. This is required if your store has required quote extra fields. If you include the array in the request, you must include all of its fields.
grandTotaldoubleOptional
The quoted total after discounts, shipping, and tax are applied. If you are updating the line items or discounts on a quote, you must also update the grand total to reflect the new pricing.
legalTermsstringOptional

The quote’s terms and conditions. Use the newline character to separate each line of text. Omitting this field or leaving it blank does not add your store’s default terms and conditions to the quote. Instead, the quote will not display any terms.

messagestringOptional

A message sent to the buyer via the in-quote messaging system.

notesstringOptional

The quote’s buyer-facing notes. Use the newline character to separate each line of text.

productListlist of objectsOptional
Line item information for the quote. If you add this array to the request, you must include all existing line items that you want to keep in the quote.
quoteTitlestringOptional
The external title given to the quote.
referenceNumberstringOptional
An identifier for the quote that can be supplied by the sales rep or the buyer, such as a Purchase Order number.
shippingAddressobjectOptional
subtotaldoubleOptional
The quoted total after discounts and before shipping and tax. If you are updating the line items or discounts on a quote, you must also update the subtotal to reflect the new pricing.
userEmailstringOptionalformat: "email"

The email address of the quote’s sales rep. Any user email found within the B2B Edition System Users menu is considered a valid value for this field.

This field is optional. If left blank, it will default to the store owner’s email address as shown in the B2B Edition System Users menu.

Response

OK
codedoubleDefaults to 200
HTTP Response Code
dataobject
messagestringDefaults to SUCCESS
metaobject